Subject: Re: bug#23124: Two minibuffer resize related bugs

From: Stephen Berman <[email-masked]>
Date: Mon, 28 Mar 2016 14:39:31 +0200

On Mon, 28 Mar 2016 13:22:52 +0200 martin rudalics <[email-masked]> wrote:

>>>> Let's start with a much simpler reproducer:
>>>>
>>>>     . emacs -Q
>>>>     . Type "C-x" and wait until you see "C-x-" in the echo area
>>>>     . Type "5 2"
>>>>
> [...]
>> I inadvertantly executed Eli's recipe yesterday and noticed an
>> additional oddity, seen in this screenshot (I didn't realize that that
>> recipe triggered it and since I couldn't otherwise reproduce the oddity
>> and had never seen it before, I didn't feel I had enough information to
>> file a bug):
>
> I have no idea why C-x 5 2 should resize the echo area in the first
> place.  Are you sure this happened with Eli's scenario above?

Yes; I verified it before sending my post yesterday, and again just now.

>> The extra space in the second frame's minibuffer remains for the life of
>> the frame AFAICT, at least I couldn't find any way to eliminate it.
>
> Not even by displaying an empty or one-line message?

`M-: (message "")' has no effect, nor anything else I've tried
(e.g. `C-x 2 C-x 1', `C-x 3 C-x 1').  

It does, however, appear to be the case that only the first `C-x 5 2'
has this effect: typing that key sequence from either the second frame
(with the wide echo area/minibuffer) or from the first frame (with the
normal echo area/minibuffer) creates a frame with a normal echo area/
minibuffer.

Steve Berman